Author Topic: Hatch by picking points  (Read 2332 times)

0 Members and 1 Guest are viewing this topic.

bman

  • Guest
Hatch by picking points
« on: October 14, 2004, 10:29:31 AM »
Is there a way to hatch by picking points?
ex: i have a triangle & want to snap to each endpoint & have it fill with hatch pattern. I know i can pick the internal point but there's numerous entities within the limits of the triangle i'm hatching

Dommy2Hotty

  • Swamp Rat
  • Posts: 1127
Hatch by picking points
« Reply #1 on: October 14, 2004, 10:32:00 AM »
Change the "Island Detection Style" to "Ignore" under the advanced tab of "BHatch" and pick somewhere in the triangle.

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Hatch by picking points
« Reply #2 on: October 14, 2004, 10:51:46 AM »
Code: [Select]

Command: hatch

Enter a pattern name or [?/Solid/User defined] <_SOLID>: <ENTER>
Select objects to define hatch boundary or <direct hatch>,

Select objects: <ENTER>

Retain polyline boundary? [Yes/No] <N>: <ENTER>

Specify start point:
Specify next point or [Arc/Length/Undo]:
Specify next point or [Arc/Close/Length/Undo]:
Specify next point or [Arc/Close/Length/Undo]: c
Specify start point for new boundary or <apply hatch>:
TheSwamp.org  (serving the CAD community since 2003)

CADaver

  • Guest
Hatch by picking points
« Reply #3 on: October 14, 2004, 10:52:29 AM »
Quote
HATCH
Enter a pattern name or [?/Solid/User defined] <ANSI31>: <OR WHATEVER>

Specify a scale for the pattern <1.0000>: <OR WHATEVER>

Specify an angle for the pattern <0.00000000>:<OR WHATEVER>

Select objects to define hatch boundary or <direct hatch>,
Select objects: <PRESS ENTER HERE>

Retain polyline boundary? [Yes/No] <N>: <WELL DO YA'?>

Specify start point:
Specify next point or [Arc/Length/Undo]:
Specify next point or [Arc/Close/Length/Undo]:  
Specify next point or [Arc/Close/Length/Undo]:
Specify next point or [Arc/Close/Length/Undo]:
Specify next point or [Arc/Close/Length/Undo]:
Specify next point or [Arc/Close/Length/Undo]:
Specify next point or [Arc/Close/Length/Undo]: C<C FOR CLOSE>

Specify start point for new boundary or <apply hatch>:<PRESS ENTER HERE>

CADaver

  • Guest
Hatch by picking points
« Reply #4 on: October 14, 2004, 10:53:03 AM »
Shoot, I got interupted.

bman

  • Guest
Hatch by picking points
« Reply #5 on: October 14, 2004, 11:08:59 AM »
thanks guys... i knew it could be done but couldn't remember how

PDJ

  • Guest
Hatch by picking points
« Reply #6 on: October 14, 2004, 01:23:56 PM »
Here's 3 examples of what I use.  

Code: [Select]
(defun C:31()
  (print "Pick corners of hatching: ")
  (print)
  (command "HATCH" "ANSI31" "1" "0" "" "N" pause)
)
(defun C:33()
  (print "Pick corners of hatching: ")
  (print)
  (command "HATCH" "ANSI33" "20" "0" "" "N" pause)
)
(defun C:37()
  (print "Pick corners of hatching: ")
  (print)
  (command "HATCH" "ANSI37" "6" "0" "" "N" pause)
)